function d=derivee_approx(x,y,n)
% DERIVEE_APPROX     Valeurs approximatives de drive n-ime de fonction
%   D = DERIVEE_APPROX(X,Y,1) sont les taux d'accroissement numriques
%   d'une fonction prenant les valeurs Y  des X donns (vecteurs lignes).
%
%   D = DERIVEE_APPROX(X,Y,N) est une approximation des valeurs de la
%   drive N-ime, calcule par rcursivit depuis le degr 1.
%
%   NB : on perd une dimension  chaque rcursions (le taux d'accroissement
%   se calculant sur deux points).
%
%   See also DIFF

if n==1 % Au degr un : diffrentiation
    d = diff(y)./diff(x);
else % Au-dessus : rcursivit
    d = derivee_approx(x(1:size(x,2)-1),diff(y)./diff(x),n-1);
end
end